Botan 1.10.17

Public Member Functions | List of all members
Botan::Invalid_Algorithm_Name Struct Reference

`#include <exceptn.h>`

Inheritance diagram for Botan::Invalid_Algorithm_Name:

## Public Member Functions
| Invalid_Algorithm_Name (const std::string &name)

## Detailed Description

Invalid_Algorithm_Name Exception

Definition at line 119 of file exceptn.h.

## Constructor & Destructor Documentation

## ◆ Invalid_Algorithm_Name()

Botan::Invalid_Algorithm_Name::Invalid_Algorithm_Name | ( | const std::string & | name | ) |
| inline

Definition at line 121 of file exceptn.h.

121 :
122 Invalid_Argument("Invalid algorithm name: " + name)
123 {}
Botan::Invalid_Argument
std::invalid_argument Invalid_Argument
Definition: exceptn.h:20

The documentation for this struct was generated from the following file:

- src/utils/exceptn.h